'use strict';

var FornecedorServices = angular.module('FornecedorServices', []);

FornecedorServices.factory('Fornecedor', ['Conexao',
  (Conexao) => {

    var fornecedorFactory = {};

    fornecedorFactory.setFornecedor = (fornecedor, callBackFunction) => {
        Conexao.ExecutaService('setFornecedor', fornecedor, true,
            (data) => {
                callBackFunction(data);
            });
    }

    fornecedorFactory.delFornecedor = (fornecedor, callBackFunction) => {
        Conexao.ExecutaService('delFornecedor', fornecedor, true,
            (data) => {
                callBackFunction(data);
            });
    }

    fornecedorFactory.getFornecedores = (params, callBackFunction) => {
        Conexao.ExecutaService('getFornecedores', params, false,
            (data) => {
                callBackFunction(data);
            });
    }
    
    fornecedorFactory.getFornecedoresPaginacao = (params, callBackFunction) => {
        Conexao.ExecutaService('getFornecedoresPaginacao', params, false,
            (data) => {
                callBackFunction(data);
            });
    }

      return fornecedorFactory;
  }]);
